package com.goafanti.standard.service;

import com.goafanti.common.model.StandardDocument;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.standard.bo.InputStandardList;
import com.goafanti.standard.bo.OutStandardDocument;

public interface StandardService {
    Object add(StandardDocument in);

    Object delete(StandardDocument in);

    Object update(StandardDocument in);

    Pagination<OutStandardDocument> list(InputStandardList in);

    Object get(StandardDocument in);

    boolean inspectNumber(StandardDocument in);
}
